Description

This is a guide on installing a CodeCombat instance on Debian 8.

Prepare the Environment

* Obtain root shell:
sudo -s

® Make sure the system is up to date:
apt—-get update && apt-get upgrade

e |nstall a few dependencies:

apt—-get install build-essential python2.7 git curl libkrb5-dev

MongoDB

e Add the mongodb public gpg key:

apt-key adv —-—-keyserver keyserver.ubuntu.com —--recv 7F0CEB10

e Then add the mongodb apt source list:

echo 'deb http://downloads—-distro.mongodb.org/repo/debian-sysvinit dist 10gen'

rces.list.d/mongodb.list
apt—get update

¢ [nstall the latest stable mongodb:

apt—-get install mongodb-org

o Enable full text search in mongodb:

echo 'setParameter = textSearchEnabled=true' >> /etc/mongod.conf

o And restart mongodb for text search to take effect:
service mongodb restart

NodedJS

e |nstall the nodejs repository:

curl --silent --location https://deb.nodesource.com/setup_0.12 | bash -

o Then install nodejs:

apt—-get install nodejs

® |nstall bower and brunch globally:

npm install -g bower brunch

e Exit the root user:

exit

Install CodeCombat

o Clone the CodeCombat code from GitHub:

mkdir ~/git && cd ~/git
git clone https://github.com/codecombat/codecombat.git
cd codecombat

¢ Install the node module dependencies:

npm install

o A few additional node modules needed to be install:

npm install pause bytes geoip-lite mongodb-core

e Database Import

cd ~ && wget -O data.tar.gz http://analytics.codecombat.com:8080/dump.tar.gz
tar xzf data.tar.gz
mongorestore —-drop —-—host 127.0.0.1 dump/

e Now start the server:

npm start

Resources

e https://github.com/codecombat/codecombat
https://github.com/codecombat/codecombat

e https://github.com/codecombat/codecombat/wiki/Dev-Setup:-General-Information
¢ https://github.com/codecombat/codecombat/wiki/Dev-Setup:-Linux#complex-linux-installation

History

#1 - 11/09/2015 03:36 PM - Daniel Curtis

- Description updated

#2 - 11/13/2015 06:29 PM - Daniel Curtis
- Description updated
- Status changed from New to In Progress

- % Done changed from 0 to 30

#3 - 11/14/2015 03:46 PM - Daniel Curtis
- Description updated
- Status changed from In Progress to Resolved

- % Done changed from 30 to 100

#4 - 11/14/2015 08:08 PM - Daniel Curtis

- Description updated

#5 - 11/27/2015 03:43 PM - Daniel Curtis

- Status changed from Resolved to Closed
